Bug 625184 - memory test (threaded_memtest.c) incorrectly determines processor count on RHEL6
Summary: memory test (threaded_memtest.c) incorrectly determines processor count on R...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)   
(Show other bugs)
Version: 1.2
Hardware: s390x
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Qian Cai
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-18 19:42 UTC by Greg Nichols
Modified: 2010-09-21 11:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A threaded_memtest.c uses the _SC_NPROCESSORS_ONLN variable to determine the number of processors.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 12:15:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
threaded_memtest.c patch changing to _SC_PROCESSORS_ONLN (487 bytes, patch)
2010-08-18 19:45 UTC, Greg Nichols
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0702 normal SHIPPED_LIVE v7 bug fix and enhancement update 2010-10-21 07:59:09 UTC

Description Greg Nichols 2010-08-18 19:42:07 UTC
Description of problem:

threaded_memtest.c uses _SC_NPROCESSORS_CONF to determine the number of processors, where it should be using _SC_NPROCESSORS_ONLN.   In RHEL6,
these two values differ.

Version-Release number of selected component (if applicable):

v7 1.2 R17
RHEL6 snapshot 7

Comment 1 Greg Nichols 2010-08-18 19:45:11 UTC
Created attachment 439489 [details]
threaded_memtest.c patch changing to _SC_PROCESSORS_ONLN

Comment 7 errata-xmlrpc 2010-09-20 12:15:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0702.html

Comment 8 Jaromir Hradilek 2010-09-21 11:29:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A threaded_memtest.c uses the _SC_NPROCESSORS_ONLN variable to determine the number of processors.


Note You need to log in before you can comment on or make changes to this bug.